Bug 1265475 - [rfe] Implement a plugin for matching packages across distros to host distro
[rfe] Implement a plugin for matching packages across distros to host distro
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 23:28 EDT by Neal Gompa
Modified: 2017-10-14 07:00 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:14:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mageia 21859 None None None 2017-10-14 07:00 EDT

  None (edit)
Description Neal Gompa 2015-09-22 23:28:52 EDT
Description of problem:
An unfortunate reality of the current landscape is that a lot of Linux applications are given with instructions for pulling dependencies or whatnot to build it in the form of apt instructions for Debian packages. Some even offer it in more esoteric distributions, which makes things tricky.

Suggested solution:
There's a such thing as AppStream distromatch[1], which intends to provide a mechanism to remap packages from any distribution to the host distribution's equivalent. A DNF plugin that utilizes this data to allow people to query and install packages using the names of other distribution packages would greatly simplify things. It doesn't make it perfect, but it would be better than now (which is manually searching for everything).

For example: "dnf distromatch --distro=ubuntu install libbz2-dev" should trigger an install of "bzip2-devel", which is our equivalent to that package. Likewise, if someone does "dnf distromatch --distro=mageia install lib64openssl1.0.0" should install "openssl-libs" on Fedora. It may also make sense to include support for the full suite of common actions through it (remove, search, etc.).

[1]: https://gitlab.com/appstream/distromatch


Version-Release number of selected component (if applicable):
dnf-1.1.2, dnf-plugins-core-0.1.12, dnf-plugins-extras-0.0.9
Comment 1 Michal Luscon 2015-09-30 05:11:57 EDT
It sounds like very useful plugin.
Comment 2 Fedora End Of Life 2016-07-19 16:14:11 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Neal Gompa 2017-10-14 06:56:32 EDT
Reopened and restored state as this was a feature request...

Note You need to log in before you can comment on or make changes to this bug.